var fs       = require("fs");
var path     = require("path");
var less     = require("less");
var testDir  = path.dirname(module.filename);
var testImg  = "./assets/less-data-url-test-image.png";
var testLess = "test.less";

var lessFuns  = require("../lib/less/functions.js");
less.tree.functions["data-url"] = lessFuns.dataUrlFun;

describe("data-url()", function() {
	
	it("should return Base64 representation of the image", function() {
		var ret = less.tree.functions["data-url"]({value:testImg}, {filename:testLess, paths:[testDir]});
		var base64 = fs.readFileSync(testDir + "/" + testImg, "base64");
		expect(ret.value.value).toBe("data:image/png;base64," + base64);
	});
	
	it("should keep the original URL if the image cannot be resolved", function() {
		var ret = less.tree.functions["data-url"]({value:testImg}, {filename:testLess, paths:[]});
		expect(ret.value.value).toBe(testImg);
	});
	
});
